<div class="row">
    <div class="col-lg-12">
        <div class="ibox float-e-margins">
            <div class="ibox-title">
                <h3>
                    <strong>Add ContactUs Category</strong>
                </h3>
            </div>
            <div class="ibox-content">
                <form class="form-horizontal" autocomplete="off" (ngSubmit)="addContactusCategory(f)" #f="ngForm">
  
                  <div class="form-group">
                      <label class="col-sm-2 control-label">Category<i aria-hidden="true" class="mandatory">*</i></label>
                      <div class="col-sm-10 form-input">
                        <input type="text" class="form-control " placeholder=" Category" name="category" #category="ngModel" [(ngModel)]="contactusCategoryModel.category"
                                required>
                          <div class="error-msg" *ngIf="category.errors && (category.dirty || category.touched || f.submitted)" >
                              <div [hidden]="!category.errors.required">Category is required.</div>
                          </div>
                      </div>                        
                  </div>
  
                    <div class="form-group">
                        <div class="col-sm-4 col-sm-offset-2">
                            <button class="btn btn-primary" type="submit">Save
                            </button>
                            <button class="btn btn-white" type="button" [routerLink]="['/admin/administration/contactus-category']">Cancel</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
  </div>